histogram.hh File Reference
`#include <mia/core/defines.hh>`
`#include <cmath>`
`#include <cassert>`
`#include <vector>`
`#include <mia/core/msgstream.hh>`
`#include <boost/type_traits.hpp>`
Include dependency graph for histogram.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | THistogram< Feeder >
| a simple histogram that uses an instance of THistogramFeeder as input converter More...
class | THistogramFeeder< T >
| A class to normalize and quantizize input data to a given histogram range with its given number of bins. More...
class | THistogramFeeder< unsigned char >
| specialization of the THistogramFeeder for unsigned byte input data More...

## Typedefs

typedef THistogramFeeder< unsigned char > | CUBHistogramFeeder
| typedef for the unsigned byte histogram feeder specialization

## Detailed Description

This file defined some classes to handle simple histograms

Definition in file histogram.hh.

## Typedef Documentation

## CUBHistogramFeeder

typedef THistogramFeeder<unsigned char> CUBHistogramFeeder

typedef for the unsigned byte histogram feeder specialization

Definition at line 120 of file histogram.hh.